## com.bbn.openmap.omGraphics
Class OMArrowHead

    java.lang.Object
      |
      +--com.bbn.openmap.omGraphics.OMArrowHead

public class OMArrowHead
extends java.lang.Object

Basic implementation of arrowhead graphics. This class expects intimate knowledge of an OMLine, and is used to add Arrowhead shapes to the actual OMLine internal Shape object. Once you have a generated OMLine, call addArrowHeads on this class with it.

Field Summary
`static int` `ARROWHEAD_DIRECTION_BACKWARD`
`static int` `ARROWHEAD_DIRECTION_BOTH`
`static int` `ARROWHEAD_DIRECTION_FORWARD`
`protected static int` `DEFAULT_WINGLENGTH`
`protected static int` `DEFAULT_WINGTIP`

Constructor Summary
`OMArrowHead()`

Method Summary
`static void` `addArrowHeads(int arrowDirectionType, int location, OMLine line)`
`protected static java.awt.geom.GeneralPath` `createArrowHead(java.awt.Point from, java.awt.Point to, int wingTip, int wingLength)`
`static java.awt.geom.GeneralPath` `createArrowHeads(int arrowDirectionType, int location, OMLine line)`
`static java.awt.geom.GeneralPath` `createArrowHeads(int arrowDirectionType, int location, OMLine line, int wingTip, int wingLength)`
`protected static java.awt.Point[]` `locateArrowHeads(int arrowDirection, int arrowLocation, OMLine line)` Create the ArrowHead objects for the lines, based on the settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARROWHEAD_DIRECTION_FORWARD

    public static final int ARROWHEAD_DIRECTION_FORWARD

See Also:
  Constant Field Values

### ARROWHEAD_DIRECTION_BACKWARD

    public static final int ARROWHEAD_DIRECTION_BACKWARD

See Also:
  Constant Field Values

### ARROWHEAD_DIRECTION_BOTH

    public static final int ARROWHEAD_DIRECTION_BOTH

See Also:
  Constant Field Values

### DEFAULT_WINGTIP

    protected static int DEFAULT_WINGTIP

### DEFAULT_WINGLENGTH

    protected static int DEFAULT_WINGLENGTH

Constructor Detail

### OMArrowHead

    public OMArrowHead()

Method Detail

### createArrowHeads

    public static java.awt.geom.GeneralPath createArrowHeads(int arrowDirectionType,
                                                             int location,
                                                             OMLine line)

### createArrowHeads

    public static java.awt.geom.GeneralPath createArrowHeads(int arrowDirectionType,
                                                             int location,
                                                             OMLine line,
                                                             int wingTip,
                                                             int wingLength)

### addArrowHeads

    public static void addArrowHeads(int arrowDirectionType,
                                     int location,
                                     OMLine line)

### createArrowHead

    protected static java.awt.geom.GeneralPath createArrowHead(java.awt.Point from,
                                                               java.awt.Point to,
                                                               int wingTip,
                                                               int wingLength)

### locateArrowHeads

    protected static java.awt.Point[] locateArrowHeads(int arrowDirection,
                                                       int arrowLocation,
                                                       OMLine line)

  Create the ArrowHead objects for the lines, based on the settings. This function is called while OMLine is being generated. User's don't need to call this function. In fact, it assumes that generate() has been called (or is being called) on the OMLine. It adds the ArrowHeads to the GeneralPath Shape object.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details